SDL_CreateTexture(3)

NAME
SDL_CreateTexture - Create a texture for a rendering context.

SYNOPSIS
#include <SDL3/SDL_render.h>

SDL_Texture * SDL_CreateTexture(SDL_Renderer *renderer, SDL_PixelFormat format, SDL_TextureAccess access, int w, int h);

DESCRIPTION
The contents of a texture when first created are not defined.

FUNCTION PARAMETERS

renderer
    the rendering context.

format
    one of the enumerated values in SDL_PixelFormat.

access
    one of the enumerated values in SDL_TextureAccess.

w   the width of the texture in pixels.

h   the height of the texture in pixels.

RETURN VALUE
Returns the created texture or NULL on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_CreateTextureFromSurface(3), SDL_CreateTextureWithProperties(3), SDL_DestroyTexture(3), SDL_GetTextureSize(3), SDL_UpdateTexture(3)